#include<iostream>
using namespace std;
int main()
{
    int n,m,
    cin>>n>>m;
    int d[n];
    for(int i=0;i<n;i++)
        cin>>d[i];
    int p[2*m];
    for(int i=0;i<2*m;i+=2)
        cin>>p[i]>>p[i+1];
    for(int i=0;i<2*m;i+=2)
    {
        
    }
}